Boards

The Board object represents a board within the project management system. It sits between Projects and Task lists, meaning it belongs to a project and contains multiple task lists.

In the application, boards are currently referred to as folders.

You can find out more about boards in our Help documentation: Boards

Following diagram shows boards in our data hierarchy:

ProjectBoardTask listTaskCommentsSubtasksTodos

Attributes

archived_at string
Response

Timestamp when the folder was archived, or null if active.

hidden boolean
Response Request

When true, this folder is hidden from members who do not have explicit access.

id integer
Parameter `filter`

Unique identifier for the folder.

name string
Response Request

The display name of the folder.

organization organization
Response

The organization this folder belongs to.

placement integer
Response

Indicates the folder's placement context (e.g. project or global).

position integer
Response Request

The display order position of this folder within its project.

project project
Response

The project this folder belongs to.

project_id integer
Request Parameter `filter`

The ID of the project this folder belongs to.

query string
Parameter `filter`

A saved filter query string applied to this folder view.

status integer
Parameter `filter` Enum

The current status of the folder (e.g. active or archived).

Enum Values (2 values)

  • 1
  • 2